<?
include '../config.php';
include '../func.php';
head();
ban();

/////////////////////////////

if ( $id_session )
mysql_query("UPDATE `profile` SET `online` = 'forum' WHERE `id` = '".$id_session."'");

if (! $id_session ) {
    echo head . "<b>Пишем пост...</b>" . div;  
    echo link2 . 'Вы не авторизованы' . div;
    
pod_navig();
foot();
exit();
}

if ( $kik_session > time()) {
    echo katalog;
    echo 'Вы заблокированы. По причине: '.$whykik_session.', администратором/модератором: '.user($whokik_session).'. Осталось ждать: '.t($kik_session-time()).'<br/>';
    navig();
    foot();
    exit();
}
    

$podforum = num($_GET['podforum']);
$razdel = num($_GET['razdel']);
$theme = num($_GET['theme']);

echo "<div class=\"head\"><b>Пишем пост...</b></div>";  
echo au;

$th = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '".$theme."'"));

if ( $th['status'] == 0 ) {
echo 'Тема: <b>'.$th['name'].'</b></div>';
echo link2;
if ( empty ($_POST['submit']) ) {

echo '<form action="add.php?podforum='.$podforum.'&razdel='.$razdel.'&theme='.$theme.'" method="post" name="form">';

echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/>';

echo '<input name="submit" type="submit" class="button" value="Отправить" /></form><br/><br/>';

echo "<b><a href=\"../info.php?act=bb\">BB-Коды</a></b> <a href=\"../smiles.php?\">Смайлы</a>" . div;


} else {
    
    $razdel = num( $_GET['razdel'] );
    $podforum = num( $_GET['podforum'] );
    $msg = mysmile(html( $_POST['msg'] ));
    $user = $id_session;
    
    if ($th['privat'] == 1) {
        $msg1 = 'В вашей теме: <b><a href="forum/theme.php?razdel='.$th['razdel_id'].'&pod_forum='.$th['pod_forum'].'&theme='.$th['id'].'">'.$th['name'].'</a></a> ответили.';
        mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg1."', `md` = 'forum_privat', `user_to` = '".$th['user_id']."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'");
    }
    
    $a = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_podrazdel` WHERE `id` = '".$podforum."'"));
    $b = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$razdel."'"));
    $c = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '".$theme."'"));
    
    if ( $a == 0 ) $err = 'Вы пытаетесь создать тему в не существуюещем подфоруме.<br/>';
    if ( $b == 0 ) $err = 'Вы пытаетесь создать тему в не существуюещем разделе.<br/>'; 
    if ( $c == 0 ) $err = 'Вы пытаетесь написать сообщение в несуществующей теме.<br/>'; 
    if ( empty( $msg ) ) $err = 'Вы не ввели сообщение.<br/>';  
    
 
    if ( $err ) {
        
        echo '<b>Ошибка:</b> '.$err.'';
        
    } else {
        
        $result = mysql_query("INSERT INTO `forum_msg` SET  `msg` = '".$msg."', `razdel_id` = '".$razdel."', `pod_forum` = '".$pod_forum."', `theme` = '".$theme."', `user_id` = '".$user."', `date` = '".time()."'");
        mysql_query("UPDATE `profile` SET `many` = '".($many_session+1)."', `postov_forum` = '".($postov_forum_session+1)."' WHERE `id` = '".$id_session."'");
        mysql_query("UPDATE `forum_themes` SET `time` = '".time()."' WHERE `id` = '".$theme."'");
        if (mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_msg` WHERE `theme` = '".$theme."'"),0) >=30)
        mysql_query("UPDATE `profile` SET `akt_rating` = '".($akt_session+0.8)."' WHERE `id` = '".$id_session."' LIMIT 1");
        else
        mysql_query("UPDATE `profile` SET `akt_rating` = '".($akt_session+0.1)."' WHERE `id` = '".$id_session."' LIMIT 1");
        
        if ( $result == 1 ) {
            
            header('Location: theme.php?razdel='.num($_GET['razdel']).'&pod_forum='.num($_GET['podforum']).'&theme='.num($_GET['theme']).'');
            echo 'Сообщение успешно добавлено<br/>';
            
        } else {
            
            echo 'Ошибка при написании сообщении<br/>';
            
        }
        
    }

}

} else {
    
    echo link2 . 'Данная тема закрыта для обсуждения' . div;
    
}







echo '</div>';
pod_navig();
foot();
?>